Subject: Re: [PATCH net-next 1/2] net: sfp: add support for module quirks

From: Russell King - ARM Linux admin <[email-masked]>
Date: Thu, 21 Nov 2019 09:11:17 +0000

On Thu, Nov 21, 2019 at 03:24:52AM +0100, Andrew Lunn wrote:
> > +static size_t sfp_strlen(const char *str, size_t maxlen)
> > +{
> > +	size_t size, i;
> > +
> > +	/* Trailing characters should be filled with space chars */
> > +	for (i = 0, size = 0; i < maxlen; i++)
> > +		if (str[i] != ' ')
> > +			size = i + 1;
> 
> Hi Russell
> 
> Is this space padding part of the standard? What's the bet there are
> some with a NULL character?

Yes, it's specified.  I haven't yet seen a module not space-pad.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTC broadband for 0.8mile line in suburbia: sync at 12.1Mbps down 622kbps up
According to speedtest.net: 11.9Mbps down 500kbps up